Name:           qcommandline
Version:        0.3.0
Release:        5%{?dist}
Summary:        Command line parser for Qt programs
License:        LGPLv2+
URL:            http://xf.iksaif.net/dev/qcommandline.html
Source0:        http://xf.iksaif.net/dev/qcommandline/qcommandline-%{version}.tar.bz2
# http://dev.iksaif.net/issues/253
Patch0:         %{name}-fix-pkg-config-paths.patch
# http://dev.iksaif.net/issues/252 -- enhancements for PhantomJS
Patch101:       0001-new-ParameterFence-flag.patch
Patch102:       0002-new-NoShortName-flag-to-allow-options-with-no-short-.patch
Patch103:       0003-new-SuppressHelp-flag.patch
BuildRequires:  cmake
BuildRequires:  qt-devel

%description
QCommandLine is a command line parsing library for Qt programs (like getopt). 
Features include options, switches, parameters and automatic --version/--help 
generation.

%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       pkgconfig
Requires:       cmake

%description devel
Development files for building against %{name}.

%prep
%setup -q
%patch0 -p1
%patch101 -p1
%patch102 -p1
%patch103 -p1

%build
mkdir build
cd build
%cmake .. -DCMAKE_MODULES_INSTALL_DIR=%{_datadir}/cmake/Modules
make %{?_smp_mflags}

%install
cd build
make DESTDIR=%{buildroot} install

%files
%doc COPYING
%{_libdir}/lib%{name}.so.*

%files devel
%doc examples/
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}
%{_libdir}/pkgconfig/QCommandLine.pc
%{_datadir}/cmake/Modules/FindQCommandLine.cmake

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Apr 08 2013 Dan Callaghan <dcallagh@redhat.com> - 0.3.0-4
- use parallel make

* Mon Jan 14 2013 Dan Callaghan <dcallagh@redhat.com> - 0.3.0-3
- enhancements for PhantomJS

* Thu Jan 10 2013 Dan Callaghan <dcallagh@redhat.com> - 0.3.0-2
- fixed pkg-config paths

* Thu Sep 20 2012 Dan Callaghan <dcallagh@redhat.com> - 0.3.0-1
- initial version
